Summary: A Network Simulator
Name: cnet
Version: 2.0.3
Release: 1
License: GNU GPL
Group: Development/Tools
Source: http://www.cs.uwa.edu.au/cnet/cnet-2.0.3.tgz  
URL: http://www.cs.uwa.edu.au/cnet
Distribution: Red Hat 8.0
Vendor: Chris McDonald <chris@cs.uwa.edu.au>
Packager: Sumit Khanna <skhanna@csc.tntech.edu>
BuildRoot: /var/tmp/%name-%version-buildroot

%description
The cnet network simulator enables experimentation with various data-link layer, network layer, routing and transport layer networking protocols in networks consisting of any combination of point-to-point links and Ethernet segments. cnet has been specifically developed for, and is used in, undergraduate computer networking courses taken by thousands of students worldwide since 1991. At The University of Western Australia, cnet is used primarily in Chris McDonald's Computer Networks (IT312) undergraduate unit.

%package docs
Summary: HTML Documentation for cnet
Group: Documentation
%description docs
HTML Documentation for the cnet network simulator.

%prep
rm -rf $RPM_BUILD_DIR/cnet*
rm -rf $RPM_BUILD_ROOT

%setup

%build
make BINDIR=/usr/bin CNETDIR=/usr/lib/cnet MANDIR=/usr/share/man/man1 WEBDIR=/var/www/html/cnet

%install
mkdir -p $RPM_BUILD_ROOT/{usr/bin,usr/lib,usr/share/man/man1,var/www/html,etc/profile.d}
make BINDIR=$RPM_BUILD_ROOT/usr/bin CNETDIR=$RPM_BUILD_ROOT/usr/lib/cnet MANDIR=$RPM_BUILD_ROOT/usr/share/man/man1 WEBDIR=$RPM_BUILD_ROOT/var/www/html/cnet web install

echo "#!/bin/sh" > $RPM_BUILD_ROOT/etc/profile.d/cnet.sh
echo "#Created by Sumit Khanna <skhanna@csc.tntech.edu>" >> $RPM_BUILD_ROOT/etc/profile.d/cnet.sh
echo "#for RPM install of Cnet program www.cs.uwa.edu.au/cnet " >> $RPM_BUILD_ROOT/etc/profile.d/cnet.sh
echo "export CNETPATH=/usr/lib/cnet" >> $RPM_BUILD_ROOT/etc/profile.d/cnet.sh 

echo "#!/bin/csh" > $RPM_BUILD_ROOT/etc/profile.d/cnet.csh
echo "#Created by Sumit Khanna <skhanna@csc.tntech.edu>" >> $RPM_BUILD_ROOT/etc/profile.d/cnet.csh
echo "#for RPM install of Cnet program www.cs.uwa.edu.au/cnet" >> $RPM_BUILD_ROOT/etc/profile.d/cnet.csh
echo "setenv CNETPATH /usr/lib/cnet" >> $RPM_BUILD_ROOT/etc/profile.d/cnet.csh

%files
%attr(755,root,root) /usr/bin/cnet
%attr(-,root,root) /usr/lib/cnet
%attr(644,root,root) /usr/share/man/man1/cnet.1.gz
%attr(755,root,root) /etc/profile.d/cnet.sh
%attr(755,root,root) /etc/profile.d/cnet.csh
%doc ANNOUNCE

%files docs
%attr(-,root,root) /var/www/html/cnet

%clean
rm -rf $RPM_BUILD_DIR/cnet*
rm -rf $RPM_BUILD_ROOT
